// creator  : weidu.exe (version 23100)
// argument : KPRANG02.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KPRANG02~

IF ~~ THEN BEGIN 0 // from: KPMAID01:8.0
  SAY #40471 /* ~I am a man of affluence, my <PRO_LADYLORD>!  I can care very well for Chanelle's needs, and she will have nothing to worry about for her future!~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #40472 /* ~The same cannot be said for this... this lout, Jessup!  He is a drunk and a fool!  On top of that, he is a penniless pauper!  No doubt he wishes to marry Chanelle only to gain access to your coin!~ */
  IF ~~ THEN EXTERN ~KPRANG01~ 0
END

IF ~~ THEN BEGIN 2 // from: KPRANG01:0.0
  SAY #40474 /* ~But I have no need of a dowry from the <PRO_LADYLORD>, here.  In fact, I am willing to offer <PRO_HIMHER> five hundred gold pieces as a gift to show how much I am willing to take care of our Chanelle.~ */
  IF ~~ THEN EXTERN ~KPRANG01~ 1
END

IF ~~ THEN BEGIN 3 // from: KPDOMO01:87.0
  SAY #40478 /* ~There's no need!  And, besides, she would be miserable with that drunkard!~ */
  IF ~~ THEN EXTERN ~KPRANG01~ 2
END

IF ~~ THEN BEGIN 4 // from: KPDOMO01:88.0
  SAY #40487 /* ~Thank you, my <PRO_LADYLORD>.  Obviously, you are a <PRO_MANWOMAN> of uncommon sense.  I will care for Chanelle as no other.  And, here, of course... take my gift of the five hundred gold...~ */
  IF ~~ THEN REPLY #40488 /* ~She is not for sale, Malvolio.  I give her to you because you represent a better future.  If you are unkind, however, I will hear of it...~ */ DO ~AddExperienceParty(11500)
IncrementGlobal("kprevolt","GLOBAL",-1)~ GOTO 5
  IF ~~ THEN REPLY #40489 /* ~Very well.  Leave the gift, and take Chanelle with you.  I trust you will make an excellent husband.~ */ DO ~GivePartyGold(500)~ EXTERN ~KPRANG01~ 4
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #40490 /* ~I... I see.  Of course, my <PRO_LADYLORD>, of course...~ */
  IF ~~ THEN EXTERN ~KPMAID01~ 11
END

IF ~~ THEN BEGIN 6 // from: KPRANG01:4.0
  SAY #40493 /* ~Oh, get off, pauper!  Let us go, then, my bride-to-be...~ */
  IF ~~ THEN EXTERN ~KPMAID01~ 12
END

IF ~~ THEN BEGIN 7 // from: KPRANG01:7.0 KPMAID01:16.0 KPMAID01:14.0
  SAY #40502 /* ~Hmph!~ */
  IF ~~ THEN DO ~ActionOverride("kprang01",MoveToPoint([1549.1192])
ActionOverride("kprang01",EscapeArea())
ActionOverride("kpmaid01",MoveToPoint([1499.1196])
ActionOverride("kpmaid01",EscapeArea())
MoveToPoint([1480.1235])
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: KPRANG01:9.0
  SAY #40512 /* ~Hmph.  Obviously you aren't a very good ruler.  Even a blind man would have seen that I was the best chance she ever had.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END
